#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( asf )
add_subdirectory( audible )
add_subdirectory( rmff )
add_subdirectory( aac )
add_subdirectory( wav )

if( WITH_MP4V2 )
  add_subdirectory( mp4 )
else( )
  add_subdirectory( m4a )
endif( )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TAGLIB_INCLUDE_DIRS}
)


##### metadata (static) #########################

tde_add_library( metadata STATIC_PIC
  SOURCES tplugins.cpp
  LINK
    tagasf-static tagaudible-static tagrealmedia-static
    tagaac-static tagwav-static tagmp4-static
)
